2

just today after an upgrade to ubuntu 15.10 I seem to be unable to use the pycharm 4.5.4 (from getdeb).

typing away launches the autocompletion suggestion pop-up and then pycharm just freezes, even blocking/ignoring window close events on its window.

xkill does the trick.

...searching for an answer, found something similar

1
  • pycharm about shows java version openjdk 1.8... – qbit Oct 28 '15 at 14:46
0

found solution

enforcing other java version does the trick.

  • just as mentioned in above question's link, set environment variable in

    ~/.bashrc

  • by appending the line

    export PYCHARM_JDK='/usr/lib/jvm/java-7-openjdk-amd64'

  • and make sure you also have the openjdk java 7 installed.

  • logout of unity, log in again
  • starting pycharm should show an about message referring to openjre 1.7.* as java version
0

the other answers failed for me, so this is how i did it:

downgrade jdk 1.8 to 1.7 - by removing openjdk, pycharm is removed as well. then i reinstalled openjdk-7, followed by pycharm. now i can autocomlete without stuff freezing upon showing autocompletion window.

$ sudo apt-get purge openjdk-*

$ sudo apt-get install openjdk-7-jre

$ sudo add-apt-repository ppa:mystic-mirage/pycharm

$ sudo apt-get install pycharm-community

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.